#!/bin/bash

LOADAVG=`cat /proc/loadavg`
# 1 minute
LOAD1=`echo $LOADAVG |cut -d ' ' -f 1`
# 5 minute
LOAD5=`echo $LOADAVG |cut -d ' ' -f 2`
# 15 minute
LOAD15=`echo $LOADAVG |cut -d ' ' -f 3`
# procs/threads
PROCSTHREADS=`echo $LOADAVG |cut -d ' ' -f 4`
PROCS=`echo $PROCSTHREADS |cut -d '/' -f 1`
THREADS=`echo $PROCSTHREADS |cut -d '/' -f 2`
# pid
LASTPID=`echo $LOADAVG |cut -d ' ' -f 5`

SHORT=0
while getopts "s" flag
do
	case "$flag" in
		s)
			SHORT=1
			;;
	esac
done

if [ "x$SHORT" = "x1" ]
then
	echo " Load Avg : 1= $LOAD1  5= $LOAD5  15= $LOAD15"
	echo "    Procs : $PROCS    Threads: $THREADS   "
	#    "                                        "
	#Template ^^
else
	echo "Load Average: 1min: $LOAD1 5min: $LOAD5 15min: $LOAD15"
	echo "Currently $PROCS processes running and $THREADS threads"
fi

